%define upstream_name Template-Timer
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11
License:	Artistic/GPL
Group:		Development/Perl
Summary:	Rudimentary profiling for Template Toolkit
URL:		https://metacpan.org/release/%{upstream_name}
Source:		%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  perl(Template::Toolkit)
BuildArch:	noarch


%description
Template::Timer provides inline timings of the template processing throughout
your code. It's an overridden version of Template::Context that wraps the
process() and include() methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Template/*
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1805983
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1497287
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1271622
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-8.mga6
+ Revision: 1033913
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 939711
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.00-6.mga5
+ Revision: 746312
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-5.mga5
+ Revision: 686356
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-4.mga4
+ Revision: 514914
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-3.mga3
+ Revision: 373182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.00-2.mga1
+ Revision: 36601
- mageia rebuild
- imported package perl-Template-Timer


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.00-2mdv2010.0
+ Revision: 440695
- rebuild

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2009.1
+ Revision: 353017
- update to new version 1.00

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-5mdv2009.0
+ Revision: 241952
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.04-3mdv2008.0
+ Revision: 23835
- rebuild


* Tue Dec 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-2mdk
- Add BuildRequires

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial MDV RPM

